package com.biganto.visual.roompark.base

import android.os.Bundle
import android.os.PersistableBundle
import dagger.android.support.DaggerAppCompatActivity
import io.reactivex.disposables.CompositeDisposable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */
abstract class BaseRoomParkActivity : DaggerAppCompatActivity(){
    protected val disposable = CompositeDisposable()

    override fun onCreate(savedInstanceState: Bundle?, persistentState: PersistableBundle?) {
        super.onCreate(savedInstanceState, persistentState)
    }
    override fun onDestroy() {
        super.onDestroy()
        disposable.clear()
    }

    override fun onAttachedToWindow() {
        super.onAttachedToWindow()
    }
}