package com.biganto.visual.roompark.conductor

import com.hannesdorfmann.mosby3.mvp.MvpView
import timber.log.Timber

/**
 * Created by Vladislav Bogdashkin on 28.05.2018.
 */
interface BigantoBaseContract<in VS : BigantoBaseViewState> : MvpView {
    fun render(viewState: VS) =
        Timber.d("Render state ${viewState.javaClass}")
}

abstract class BigantoBaseViewState