package com.biganto.visual.roompark.conductor.mosby.mvi;


import android.os.Bundle;

import com.hannesdorfmann.mosby3.MviConductorDelegateCallback;
import com.hannesdorfmann.mosby3.MviController;
import com.hannesdorfmann.mosby3.mvi.MviPresenter;
import com.hannesdorfmann.mosby3.mvp.MvpView;

public abstract class BigantoMviController<V extends MvpView, P extends MviPresenter<V, ?>>
        extends MviController<V,P> implements MvpView, MviConductorDelegateCallback<V, P> {

    public BigantoMviController() {super();}

    public BigantoMviController(Bundle args) {
        super(args);
    }


    /**
     * Переопределяем метод, чтобы подставить кастомную реализацию LifeCycleListener'a, с учетом проверки связанного
     * презентера на null - значение
     */
    protected LifecycleListener getMosbyLifecycleListener() {
        return new BigantoMviConductorLifecycleListener<>(this);
    }

}
