 package com.biganto.visual.roompark.di.dagger

import android.app.Application
import com.biganto.visual.roompark.base.RoomParkApplication
import dagger.Binds
import dagger.Module

 /**
 * Created by Vladislav Bogdashkin on 13.06.2018.
 */

const val USER_CACHE_LIMIT_SIZE = 3
const val USER_CACHE_LIMIT_SECONDS_INACTIVE = 30L

const val TOURS_CACHE_LIMIT_SIZE = 500
const val TOURS_CACHE_LIMIT_SECONDS_INACTIVE = 200L

const val ESTATES_CACHE_LIMIT_SIZE = 100
const val ESTATES_CACHE_LIMIT_SECONDS_INACTIVE = 200L

const val FILES_CACHE_LIMIT_SIZE = 10000
const val FILES_CACHE_LIMIT_SECONDS_INACTIVE = 60L

const val DATABASE_VERSION = 11

 @Module
abstract  class AppModule{

     @Binds
     abstract fun provideAppContext(app: RoomParkApplication): Application
 }


