package com.biganto.visual.roompark.di.dagger

import android.content.Context
import com.bumptech.glide.GlideBuilder
import com.bumptech.glide.annotation.GlideModule
import com.bumptech.glide.load.engine.cache.InternalCacheDiskCacheFactory
import com.bumptech.glide.module.AppGlideModule


/**
 * Created by Vladislav Bogdashkin on 19.03.2020.
 */

@GlideModule
class RoomParkGlideModule : AppGlideModule() {
//    fun applyOptions(@NonNull context: Context?, @NonNull builder: GlideBuilder) {
//        super.applyOptions(context, builder)
//        builder.setDefaultRequestOptions(RequestOptions().format(DecodeFormat.PREFER_ARGB_8888))
//    }


    override fun applyOptions(context: Context, builder: GlideBuilder) {
        val filderName = "../files/photos"
        builder.setDiskCache(
            InternalCacheDiskCacheFactory(
                context,filderName,1024L*1024L*256L)
        )
    }

//
//    fun registerComponents(
//        @NonNull context: Context?, @NonNull glide: Glide?, @NonNull registry: Registry
//    ) {
//        registry.append(Photo::class.java, InputStream::class.java, Factory())
//    }

    // Disable manifest parsing to avoid adding similar modules twice.
    override fun isManifestParsingEnabled(): Boolean {
        return false
    }
}