package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.data.repository.api.retrofit.raw.StatusResponse
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface SubscriptionContract{
    fun subscribeTopic(
        deviceToken:String,
        topic:String,
        topic_id:String? = null
    ) : Observable<StatusResponse>

    fun unSubscribeTopic(
        deviceToken:String,
        topic:String,
        topic_id:String? = null
    ) : Observable<StatusResponse>
}