package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.use_case.FeedUseCase
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class ArticlesInteractor @Inject constructor(
    private val uc: FeedUseCase
) {

    fun fetchArticles(feed:String) =
        uc.getArticles(feed)

    fun fetchArticlesPage(feed:String,pageSize:Int,current:Int) =
        uc.fetchArticlesPage(feed,pageSize,current)

}






























