package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.use_case.AuthUseCase
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class AuthInteractor @Inject constructor(
    private val uc:AuthUseCase
){
    fun getAuth() = uc.validateAuth()

    fun signIn(login:String, password:String) =
        uc.signIn(login,password)
}