package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.model.WebCamListModel
import com.biganto.visual.roompark.domain.use_case.CamsUseCase
import io.reactivex.Observable
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class WebCamsInteractor @Inject constructor(
    private val camsUseCase: CamsUseCase
) {

    fun fetchCams(): Observable<WebCamListModel> = camsUseCase.getWebCams()
}



