package com.biganto.visual.roompark.domain.model

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */


data class PushSwitchModel(
    val title:String,
    val innerId:Int,
    val pushId:String,
    val switchState: Boolean
)

data class CachedDataModel(
    val title:String,
    val amountBytes:Long,
    val id:Int //>?
)

data class SettingsModel(
    val pushItems:List<PushSwitchModel>,
    var offlineStoreData:List<CachedDataModel>,
    var cachedData:List<CachedDataModel>
)