package com.biganto.visual.roompark.domain.use_case

import com.biganto.visual.roompark.domain.contract.DevProgressContract
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

class AlbumsUseCase @Inject constructor(
    private val contract: DevProgressContract
){

    fun getProgressAlbums() = contract.getProgressCards()

    fun getChildAlbums(parentAlbumId:Int) =
        contract.getProgressAlbumList(parentAlbumId)


    fun getPhotos(parentAlbumId:Int) =
        contract.getAlbumPhotoList(parentAlbumId)

    fun getPhotoByid(photoId:Int) = contract.getAlbumPhoto(photoId)

    fun getDirectAlbum(albumId:Int) =
        contract.getAlbumPreview(albumId)

}