package com.biganto.visual.roompark.presentation.screen.home

import com.biganto.visual.roompark.conductor.BigantoBasePresenter
import com.biganto.visual.roompark.util.monades.ExceptionString
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


class HomeScreenPresenter @Inject constructor(
//    ,var context:Context
)
    : BigantoBasePresenter<HomeScreen, HomeScreenViewState>() {

    override fun defaultErrorViewStateHandler() =
        {e: ExceptionString -> HomeScreenViewState.SomeError(e)}

    override fun bindIntents() {
        val state = restoreStateObservable
        subscribeViewState(state.cast(HomeScreenViewState::class.java), HomeScreen::render)
    }

}