package com.biganto.visual.roompark.presentation.screen.splash

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class SplashScreenViewState : BigantoBaseViewState() {
    class Idle : SplashScreenViewState()
    class ToHomeScreen() : SplashScreenViewState()
    class ToAuthScreen() : SplashScreenViewState()
    class SomeError(val exception: ExceptionString) : SplashScreenViewState()
}