package com.biganto.visual.roompark.presentation.screen.to_flat

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class FindFlatScreenViewState : BigantoBaseViewState() {
    class Idle : FindFlatScreenViewState()
    class RequstFlatProgress : FindFlatScreenViewState()
    class FlatFounded : FindFlatScreenViewState()
    class FlatNotFound(val exceptionString:ExceptionString) : FindFlatScreenViewState()
    class StartFlat(val esateId:Int) : FindFlatScreenViewState()
    class SomeError(val exception: ExceptionString) : FindFlatScreenViewState()
}