package com.biganto.visual.roompark.util.view_utils.app_bar

import android.content.Context
import android.util.AttributeSet
import com.google.android.material.appbar.AppBarLayout

/**
 * Created by Vladislav Bogdashkin on 23.05.2019.
 */
class DragControlAppBarLayoutBehaviour(context: Context, attrs: AttributeSet)
    : AppBarLayout.Behavior(context, attrs) {

    var allowDrag = false

        init {
            setDragCallback(object : DragCallback() {
                override fun canDrag(appBarLayout: AppBarLayout): Boolean = allowDrag
            })
        }

}