package com.biganto.visual.androidplayer.data.repository.local

import com.biganto.visual.roompark.data.local.UserState
import io.reactivex.Completable
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 14.06.2018.
 */
interface ILocalStore {
    fun setRecentUser(uuid: String?): Completable
    fun recentUser(): Observable<in UserState>
    fun setDownloadListDestinationTourId(tourId: String): Observable<String>?
    fun getDownloadListDestinationTourId(): Observable<String>?
    fun recentUserObs(): Observable<String>
}