package com.biganto.visual.roompark.data.repository.api.retrofit.util

import android.annotation.SuppressLint
import com.google.gson.JsonElement
import com.google.gson.JsonPrimitive
import com.google.gson.JsonSerializationContext
import com.google.gson.JsonSerializer
import java.lang.reflect.Type
import java.text.SimpleDateFormat
import java.util.*

/**
 * Created by Vladislav Bogdashkin on 09.06.2018.
 */

class DateSerializer : JsonSerializer<Date> {

    @SuppressLint("SimpleDateFormat")
    override fun serialize(srcDate: Date?, typeOfSrc: Type?, context: JsonSerializationContext?): JsonElement? {
        if (srcDate == null)
            return null
        val dateFormat = SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS+hh:mm")


        val formatted = dateFormat.format(srcDate)
        return JsonPrimitive(formatted)
    }
}




