package com.biganto.visual.roompark.data.repository.db.requrey.model

import com.biganto.visual.roompark.data.repository.db.requrey.PhotoResolutions
import com.biganto.visual.roompark.data.repository.db.requrey.utils.PhotoResolutionsConverter
import io.requery.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface GalleryPhoto : Persistable {
    @get:Key
    val id:Int
    val title:String
    @get:Nullable
    val description:String
    val sort:Int
    val album_id:Int
    @get:Convert(PhotoResolutionsConverter::class)
    var resolutions:List<PhotoResolutions>

}