package com.biganto.visual.roompark.data.repository.db.requrey.model

import com.biganto.visual.roompark.data.repository.db.requrey.utils.IsoDateConverter
import io.requery.Convert
import io.requery.Entity
import io.requery.Key
import io.requery.Persistable
import java.util.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface ImageAlbum : Persistable {
    @get:Key
    val id:Int
    val title:String
    val sort:Int
    @get:Convert(IsoDateConverter::class)
    val published: Date
    val preview:String

}