package com.biganto.visual.roompark.data.repository.db.requrey.model

import io.requery.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
@Table(name = "UserContainer")
interface User : Persistable {

    @get:Key
    val uuid: Int
    val name: String
    val email: String
    val authToken: String
    val targetResolution: Int


//    @get:ForeignKey(references = Deal::class )

    @get:Nullable
    @get:OneToMany(cascade = [CascadeAction.DELETE])
    val deals:List<Deal>?
}

