package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.*
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface DevProgressContract{

    fun getProgressCards(): io.reactivex.Observable<List<AlbumPreviewModel>>
    fun getProgressAlbumList(albumId:Int): io.reactivex.Observable<List<AlbumPreviewModel>>
    fun getAlbumPreviews(albumId:Int): io.reactivex.Observable<List<AlbumPhotoPreviewModel>>
    fun getAlbumPreview(albumId:Int): Observable<AlbumPreviewModel>
    fun getAlbumPhoto(photoId:Int): io.reactivex.Observable<PhotoModel>
    fun getWebCamsList(): io.reactivex.Observable<WebCamListModel>
    fun getWebCamStream(camId:Int): io.reactivex.Observable<WebCamModel>
    fun getAlbumPhotoList(albumId: Int): Observable<List<PhotoModel>>
}