package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.ArticleModel
import com.biganto.visual.roompark.domain.model.ArticlesPreviewModel
import com.biganto.visual.roompark.domain.model.FeedModel
import io.reactivex.Completable
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface FeedsContract{

    fun fetchFeeds(): Observable<List<FeedModel>>
    fun getArticle(id:Int): Observable<ArticleModel>
    fun fetchFeedObservable(
        feedAlias: String,
        pageSize: Int,
        startIndex: Int
    ): Observable<ArticlesPreviewModel>

    fun fetchFeedObservable(feedAlias: String): Observable<ArticlesPreviewModel>
    fun articleRead(articleId:Int):Completable
}