package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.use_case.EstateUseCase
import io.reactivex.Observable
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class FindFlatInteractor @Inject constructor(
    val useCase:EstateUseCase
){

    fun getFlat(building:Int,flat:Int): Observable<Int>
            = useCase.fetchEstate(building,flat)
        .map { it.id }

}