package com.biganto.visual.roompark.domain.model

import com.biganto.visual.roompark.data.repository.db.requrey.model.UserEntity

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

data class AuthInfoModel(
    val token:String,
    val id:Int,
    val name:String,
    val email:String
)

fun fromEntity(entity:UserEntity) = AuthInfoModel(
    entity.authToken,
    entity.uuid,
    entity.name,
    entity.email
)