package com.biganto.visual.roompark.domain.use_case

import com.biganto.visual.roompark.data.data_provider.AuthContractModule
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

class AuthUseCase @Inject constructor(
    private val authContract: AuthContractModule

){
    fun validateAuth() = authContract.validateAuthState()

    fun signIn(login:String,pwd:String) = authContract.signIn(login,pwd)
    fun signOut() = authContract.signOut()

}