package com.biganto.visual.roompark.presentation.screen.auth

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface AuthScreen : BigantoBaseContract<AuthScreenViewState> {
    fun tryAuth(): Observable<AuthInputModel>
}

data class AuthInputModel(val login:String, val pwd:String)