package com.biganto.visual.roompark.presentation.screen.estate

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface EstateScreen : BigantoBaseContract<EstateScreenViewState> {
    fun planTypesTabSelected(): Observable<Int>
    fun switchSizes(): Observable<Pair<Int,Boolean>>
    fun switchWalls(): Observable<Pair<Int,Boolean>>
    fun switchFurniture(): Observable<Pair<Int,Boolean>>
    fun switchElectric(): Observable<Pair<Int,Boolean>>
    fun showCommonInfo(): Observable<Int>
    fun showExplication(): Observable<Int>
}

