package com.biganto.visual.roompark.presentation.screen.feeds.utils

import android.view.View
import androidx.viewpager.widget.PagerAdapter
import com.biganto.visual.roompark.domain.model.FeedModel
import timber.log.Timber



/**
 * Created by Vladislav Bogdashkin on 14.10.2019.
 */

class FeedsPagerAdapter: PagerAdapter() {

    public fun updateData(items:List<FeedModel>){
        if (list.size>0) Timber.w("View pager list is not empty!")
        list.clear()
        list.addAll(items)
        notifyDataSetChanged()
    }


    private val list:MutableList<FeedModel> = mutableListOf()

    override fun isViewFromObject(view: View, `object`: Any): Boolean {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun getCount(): Int = list.size

    override fun getPageTitle(position: Int): CharSequence? = list[position].title
}