package com.biganto.visual.roompark.presentation.screen.home

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class HomeScreenViewState : BigantoBaseViewState() {
    class Idle : HomeScreenViewState()
    class ToScreen(val message:String) : HomeScreenViewState()
    class SomeError(val exception: ExceptionString) : HomeScreenViewState()
}